Package org.eclipse.emf.cdo.transfer.ui

## Class TransferContentProvider

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.ui.TransferContentProvider

- All Implemented Interfaces:
    `java.util.EventListener`, `IContentProvider`, `IStructuredContentProvider`, `ITreeContentProvider`, `org.eclipse.net4j.util.event.IListener`

      public class TransferContentProvider
      extends java.lang.Object
      implements ITreeContentProvider, org.eclipse.net4j.util.event.IListener

  A reusable `tree content provider` for the `mappings` of a `transfer`.

  The `input` must be an instance of `CDOTransferMapping`, e.g., the return value of `CDOTransfer.getRootMapping()`.

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

      `org.eclipse.net4j.util.event.IListener.NotifierAware`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransferContentProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `java.lang.Object[]` | `getChildren​(java.lang.Object element)` |
    `java.lang.Object[]` | `getElements​(java.lang.Object element)` |
    `java.lang.Object` | `getParent​(java.lang.Object element)` |
    `boolean` | `hasChildren​(java.lang.Object element)` |
    `void` | `inputChanged​(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)` |
    `void` | `notifyEvent​(org.eclipse.net4j.util.event.IEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferContentProvider

          public TransferContentProvider()

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent​(org.eclipse.net4j.util.event.IEvent event)

      Specified by:
        `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

    - #### inputChanged

          public void inputChanged​(Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `IContentProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IContentProvider`

    - #### hasChildren

          public boolean hasChildren​(java.lang.Object element)

      Specified by:
        `hasChildren` in interface `ITreeContentProvider`

    - #### getChildren

          public java.lang.Object[] getChildren​(java.lang.Object element)

      Specified by:
        `getChildren` in interface `ITreeContentProvider`

    - #### getElements

          public java.lang.Object[] getElements​(java.lang.Object element)

      Specified by:
        `getElements` in interface `IStructuredContentProvider`
      Specified by:
        `getElements` in interface `ITreeContentProvider`

    - #### getParent

          public java.lang.Object getParent​(java.lang.Object element)

      Specified by:
        `getParent` in interface `ITreeContentProvider`